Bug 104150 - FILEOPEN DOCX: Background color is blue, but it should be white
Summary: FILEOPEN DOCX: Background color is blue, but it should be white
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2016-11-24 18:53 UTC by Telesto
Modified: 2017-03-11 10:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (27.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.template)
2016-11-24 18:53 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-11-24 18:53:17 UTC
Description:
Based on developments of bug 41190: The background color is BLUE but should be white.

Alejandro Moreno: 
settings.xml has the line
<w:documentProtection w:edit="forms" w:enforcement="1"/>
that doesn't permit modify background color and this is ignored by Libreoffice.

If you see the content of the file it contains the line
<w:background w:color="00B8FF"/> 
in document.xml that is the background color in Libreoffice. But if I open the file with MS Word I obtain that MS Word ignores that line. I could not identify because MS Office does that.

Steps to Reproduce:
1.Open example file

Actual Results:  
Blue background

Expected Results:
White background


Reproducible: Always

User Profile Reset: YES

Additional Info:
Version: 5.3.0.0.alpha1+
Build ID: f965a629fba10ecba7bad938a0c1c9c3db1e510d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-23_00:13:10
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-11-24 18:53:54 UTC
Created attachment 128994 [details]
Example file
Comment 2 Telesto 2016-11-24 18:57:01 UTC
No blue background with:
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 3 Buovjaga 2016-11-24 19:37:46 UTC
Let's set to NEW.
Comment 4 Telesto 2016-11-24 20:31:30 UTC
Blue background with: LO 4.1.1
Comment 5 raal 2016-11-27 14:25:30 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?
Thanks

bibisect-42max
2161e695de0236a82e9661e8dd2af250f656bb0b is the first bad commit
commit 2161e695de0236a82e9661e8dd2af250f656bb0b
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Sep 5 17:58:52 2015 +0800

    source-hash-992da0d5cf04497bad55637f6a6ebfcdaec03e16
    
    commit 992da0d5cf04497bad55637f6a6ebfcdaec03e16
    Author:     Miklos Vajna <vmiklos@suse.cz>
    AuthorDate: Mon May 27 17:09:44 2013 +0200
    Commit:     Miklos Vajna <vmiklos@suse.cz>
    CommitDate: Mon May 27 17:49:12 2013 +0200
    
        bnc#817956 DOCX import of document background color
    
        See wwSectionManager::SetSegmentToPageDesc(), this has to be applied to
        every page style.
    
        Change-Id: Iea2707ae665a55eabda3ed7575cf3658f7af5237
Comment 6 Commit Notification 2017-01-17 13:00:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38a1e19ae49ac30757e4020b60adee7c30f3deb9

tdf#104150 DOCX import: handle <w:displayBackgroundShape/>

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-01-17 20:12:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9093bd7295c677fa1888d3d805fccbc07e85f1f4&h=libreoffice-5-3

tdf#104150 DOCX import: handle <w:displayBackgroundShape/>

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 krishna [:kr1shna] 2017-03-11 04:56:52 UTC
verified.
Version: 5.4.0.0.alpha0+ / Build ID: febc116 / ls-4001 / android 5.1

The background color is white.